package com.aircraft.modules.route.mapper;

import com.aircraft.modules.route.domain.CpRoute;
import com.aircraft.modules.route.domain.dto.CpRouteDTO;
import com.aircraft.modules.route.domain.dto.CpRouteVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 路线表 Mapper 接口
 * </p>
 *
 * @author cli
 * @since 2025-07-10
 */
@Mapper
public interface CpRouteMapper extends BaseMapper<CpRoute> {

    void updateDelFlagById(Long id, Integer delFlag);

    CpRoute getRouteById(Long id);

    String getNameById(Long routeId);

    List<CpRoute> listRoutesByIds(List<Long> routeIds);

    IPage<CpRouteVo> selectVoPage(Page<CpRouteVo> page, CpRouteDTO dto);
}
